Description

1- Suite a #588 et #637
Indiquer que leschamps non testés

2- Suite a #606
Une information concernant la gestion des erreurs liées a la lecture de la structure spw_stats

Comme indiqué par Paul, seul le premier champ de la structure (tx_link_err) ne donne pas lieu a une remontée d'erreurs.

En effet les 2 champs suivants

unsigned int rx_rmap_header_crc_err; // NOT IN HK

unsigned int rx_rmap_data_crc_err; / NOT IN HK

ne sont pas comptabilisés car ne correspondent pas a un champ dans les HK mais par contre, ils donnent lieu a une mise a jour
des 3 champs HK_LFR_LAST_ER_RID, HK_LFR_LAST_ER_CODE, HK_LFR_LAST_ER_TIME :

HK_LFR_LAST ER RID =RID_LE_LFR_DPU_SPW
HK_LFR_LAST_ER_CODE = CODE_HEADER_CRC (=16)
HK_LFR_LAST_ER_TIME = heure de la détection de I'erreur

De plus le compteur d'erreur HK_LFR_LE_CNT sera incrémenté.

3- Suite a #491

dans la section SOURCE_DATA/PARAMETERS/HK_VHDL_BLK_STATUS
seuls ces 3 champs sont renseignés

HK_LFR_VHDL_SM --> 0

HK_LFR_VHDL_IR --> 0

HK_LFR_VHDL_CAL --> 0

HK_LFR_VHDL_SM 4 bits extraits du registre SPECTRAL_ MATRIX_STATUS du VHDL.
bit3 input_fifo_write(2)

bit2 input_fifo_write(1)

bit1 input_fifo_write(0)

bit0 buffer_full

HK_LFR_VHDL_IR et HK_LFR_VHDL_CAL : 8 bits extraits du registre WAVEFORM_PICKER_STATUS du VHDL:

HK_LFR_VHDL_IR
bit7 new error 3
bité new error 2
bit5 new error 1
bit4 new error fO

HK_LFR_VHDL_CAL
bit3 error buffer full f3
bit2 error buffer full f2
bit1 error buffer full f1
bit0 error buffer full fO

Conclusion les champs suivants sont tjs a zéro
HK_LFR_VHDL_AA -->0
HK_LFR_VHDL_FFT --> 0
HK_LFR_VHDL_SR --> 0
HK_LFR_VHDL_CIC --> 0
HK_LFR_VHDL_HK --> 0

4- Au #560

voir ce point. La conclusion

Je ne reléve pas I'adresse de la derniére adresse fausse. En fait, le champ hk_Ifr_ahb_correctable est le champ qui me paraissait
approprié pour remonter les erreurs EDAC (provenant des register files ou du cache) mais je ne remonte aucune erreur liées aux
transmissions sur le bus AHB.

Related issues:
Related to Support #656: SHow to validate HK_LFR_VHDL_SM field Closed 09/03/2016

History

#1 - 22/02/2016 04:31 PM - Veronique bouzid
- Description updated

#2 - 22/02/2016 04:38 PM - Veronique bouzid
- Description updated

#3 - 22/02/2016 04:40 PM - Veronique bouzid
- Description updated

#4 - 24/02/2016 03:38 PM - Veronique bouzid

- Description updated

#5 - 26/02/2016 01:00 PM - Veronique bouzid

- Description updated

#6 - 09/03/2016 01:53 PM - Veronique bouzid
Modifs intégrées dans le SUM et les documents SRS/SVS

#7 - 09/03/2016 01:53 PM - Veronique bouzid

- Status changed from New to Closed

#8 - 09/03/2016 02:52 PM - Veronique bouzid
- Related to Support #656: SHow to validate HK_LFR_VHDL_SM field added
